{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css%}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Edit User</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">Edit User</h5>
        <div class="card-body">

            <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_user_edit' username=username %}">

                {% csrf_token %}
                    
                <div class="form-row">
                    <div class="form-group col">
                        <label for="{{ form.first_name.id_for_label }}">Nama Depan</label>
                        <input type="text" placeholder="Masukkan nama depan..."
                            class="form-control {% if form.first_name.errors %}is-invalid{% endif %}"
                            name="{{ form.first_name.name }}"
                            id="{{ form.first_name.id_for_label }}" 
                            maxlength="{{ form.first_name.field.max_length }}"
                            {% if form.first_name.value != None %}value="{{ form.first_name.value|stringformat:'s' }}"{% endif %}>
                        {% if form.first_name.errors %}
                            <div class="invalid-feedback">
                                {{ form.first_name.errors }}
                            </div>
                        {% endif %}
                    </div>

                    <div class="form-group col">
                        <label for="{{ form.last_name.id_for_label }}">Nama Belakang</label>
                        <input type="text" placeholder="Masukkan nama belakang..."
                            class="form-control {% if form.last_name.errors %}is-invalid{% endif %}"
                            name="{{ form.last_name.name }}"
                            id="{{ form.last_name.id_for_label }}" 
                            maxlength="{{ form.last_name.field.max_length }}"
                            {% if form.last_name.value != None %}value="{{ form.last_name.value|stringformat:'s' }}"{% endif %}>
                        {% if form.last_name.errors %}
                            <div class="invalid-feedback">
                                {{ form.last_name.errors }}
                            </div>
                        {% endif %}
                    </div>
                </div>

                <div class="form-group">
                    <label for="{{ form.phone.id_for_label }}">Telepon</label>
                    <input type="number" placeholder="Masukkan nomor telepon anda..."
                        class="form-control {% if form.phone.errors %}is-invalid{% endif %}"
                        name="{{ form.phone.name }}"
                        id="{{ form.phone.id_for_label }}" 
                        maxlength="{{ form.phone.field.max_length }}"
                        {% if form.phone.value != None %}value="{{ form.phone.value|stringformat:'s' }}"{% endif %}
                        {% if form.phone.field.required %}required{% endif %} >
                    {% if form.phone.errors %}
                        <div class="invalid-feedback">
                            {{ form.phone.errors }}
                        </div>
                    {% endif %}
                </div>

                <div class="form-group">
                    <label for="{{ form.date_of_birth.id_for_label }}">Tanggal Lahir</label>
                    <input type="date" placeholder="Masukkan nomor tanggal lahir anda..."
                        class="form-control {% if form.date_of_birth.errors %}is-invalid{% endif %}"
                        name="{{ form.date_of_birth.name }}"
                        id="{{ form.date_of_birth.id_for_label }}" 
                        maxlength="{{ form.date_of_birth.field.max_length }}"
                        {% if form.date_of_birth.value != None %}value="{{ form.date_of_birth.value|stringformat:'s' }}"{% endif %}
                        {% if form.date_of_birth.field.required %}required{% endif %} >
                    {% if form.date_of_birth.errors %}
                        <div class="invalid-feedback">
                            {{ form.date_of_birth.errors }}
                        </div>
                    {% endif %}
                </div>

                <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
            </form>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}